const std = @import("std");
const ray = @cImport({
    @cInclude("raylib.h");
});

pub fn main() anyerror!void {
    std.log.info("All your codebase are belong to us.", .{});

    ray.InitWindow(800, 450, "ray [core] example - basic window");
    defer ray.CloseWindow();

    while (!ray.WindowShouldClose())
    {
        ray.BeginDrawing();
        defer ray.EndDrawing();

        ray.ClearBackground(ray.RAYWHITE);
        ray.DrawText("Congrats! You created your first window!", 190, 200, 20, ray.LIGHTGRAY);
    }

}

test "basic test" {
    try std.testing.expectEqual(10, 3 + 7);
}
